import { postRequest, getRequest } from '@/api/api';

// 活码分组查询
export const findActCodeGroupListApi = params => postRequest('/hm/group/list', params);

// 新增活码分组
export const addActCodeGroupApi = params => postRequest('/haoban-manage3-web/hm/group/save', params);

// 编辑活码分组
export const editActCodeGroupApi = params => postRequest('/haoban-manage3-web/hm/group/edit', params);

// 删除分组
export const delActCodeGroupApi = params => postRequest('/haoban-manage3-web/hm/group/delete', params);

// 活码列表
export const actCodeListApi = params => postRequest('/haoban-manage3-web/hm/qrcode/list', params);

// 落地页模板列表
export const guidePageList = params => getRequest('/hm/guide/page/list', params);

// 落地页模板删除
export const guidePageDel = params => postRequest('/hm/guide/page/delete', params);

// 落地页模板关联详情
export const guidePageRelation = params => getRequest('/hm/guide/page/relation', params);

// 落地页模板详情
export const guidePageDetail = params => getRequest('/hm/guide/page/detail', params);

// 落地页  获取当前企业电话、logo
export const wxEnterpriseList = params => getRequest('/wx-enterprise-list?filteRight=1&requestProject=haoban-manage-web', params);

// 落地页模板编辑详情
export const guidePageEdit = params => postRequest('/hm/guide/page/edit', params);

// 落地页模板新增详情
export const guidePageSave = params => postRequest('/hm/guide/page/save', params);

// 【活码链接】 -- 列表
export const linkPage = params => postRequest('/haoban-manage3-web/hm/link/page', params);

//【活码】详情-查看明细列表
export const detailClerkList = params => postRequest('/haoban-manage3-web/hm/qrcode/detail-clerk-list', params);
